/*
 * MacSamba
 * <http://ghostwood.org/software/macSamba.html>
 * Copyright 2006 Nick Howes <nick@ghostwood.org>
 * tabs every 4 spaces
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#include <stdio.h>
#include "devices.h"

//TODO: add more device info and validate what's here
static deviceInfo_t deviceInfo[] = {
//		name				id				pages	flash addr
	{	"AT91SAM7X128",		0x275A0740,		512,	0x00100000 }, //per the datasheet
	{	"AT91SAM7X256",		0x275B0940,		1024,	0x00100000 }, //per the datasheet
	{	"AT91SAM7X512",		0x275C0A40,		1024,	0x00100000 }, //per the datasheet
	{	"AT91SAM7XC128",	0x271A0740,		512,	0x00100000 }, //per the datasheet
	{	"AT91SAM7XC256",	0x271B0940,		1024,	0x00100000 }, //verified
	{	"AT91SAM7XC512",	0x271C0A40,		1024,	0x00100000 }  //per the datasheet
};

#define DEV_INFO_COUNT (sizeof(deviceInfo) / sizeof(struct deviceInfoStruct))


deviceInfo_t* getDeviceByID(unsigned int idCode) {
	int i;
	deviceInfo_t* ptr = deviceInfo;

	for (i=0 ; i<DEV_INFO_COUNT ; i++) {
		if (ptr->idCode == idCode) return ptr;
		ptr++;
	}
	return NULL;
}
